Package com.smartgwt.client.widgets.calendar

# Class EventOverflowHoverHTMLCustomizer

java.lang.Object
com.smartgwt.client.widgets.calendar.EventOverflowHoverHTMLCustomizer

public abstract class EventOverflowHoverHTMLCustomizer extends Object
Called to determine the hover HTML shown when the user hovers over an overflow chip in a day or week view.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventOverflowHoverHTMLCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Calendar`
  `getCalendar()`
  Returns the Calendar that contains the overflow chip.
  `abstract String`
  `getEventOverflowHoverHTML(CalendarEvent[] events, Date startDate, Date endDate, CalendarView calendarView)`
  getEventOverflowHoverHTML() should be implemented and return the string of HTML to display when hovering over an overflow chip.
  `void`
  `setCalendar(Calendar calendar)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventOverflowHoverHTMLCustomizer

    public EventOverflowHoverHTMLCustomizer()

- ## Method Details

  - ### setCalendar

    public void setCalendar(Calendar calendar)

  - ### getCalendar

    public Calendar getCalendar()
    Returns the Calendar that contains the overflow chip.
    Returns:
      the Calendar instance

  - ### getEventOverflowHoverHTML

    public abstract String getEventOverflowHoverHTML(CalendarEvent[] events, Date startDate, Date endDate, CalendarView calendarView)
    getEventOverflowHoverHTML() should be implemented and return the string of HTML to display when hovering over an overflow chip.
    Parameters:
      `events` - the hidden events in the overflow region
      `startDate` - start of the overflow region
      `endDate` - end of the overflow region
      `calendarView` - the view containing the overflow
    Returns:
      HTML to display in the hover